<?php
/**
 * Prime Controller Plugin LayoutLoader  
 */
class Amz_Controller_Plugin_DataValidator extends Zend_Controller_Plugin_Abstract
{
    /**
     * Predispatch method that runs before the the dispatch loop
     * @param Zend_Controller_Request_Abstract $request 
     */
    public function preDispatch(Zend_Controller_Request_Abstract $request)
    {
        $this->_authSessionStorageSwitcher($request);
      
    }
    
    /**
     * Auth Session Switcher
     * @param Zend_Controller_Request_Abstract $request 
     */
    protected function _authSessionStorageSwitcher(Zend_Controller_Request_Abstract $request)
    {
       
        $authStorage = new Zend_Session_Namespace('authstorage');
        $auth = Zend_Auth::getInstance();
        
        if($request->getModuleName() == 'admin')
        {
            if(isset($authStorage->admin))
                $auth->getStorage()->write ($authStorage->admin);
            else
                $auth->clearIdentity();
               
              
        }
        elseif($request->getModuleName() == 'default')
        {
            if(isset($authStorage->member))
                $auth->getStorage()->write($authStorage->member);
            
            else
                $auth->clearIdentity();
            
        }

                
        
        
    }
  
}