<?php $baseUrl = qa_path_to_root(); ?>
<div id="footer-testimonial-area" >
    <div id="slider-testimonial" class="container_12">
        <div class="testimonial-slide">
            <a href="#" class="prev"><img src="<?php echo $baseUrl; ?>/qa-theme/Staff-Checking/images/previous_icon.png" /></a>
            <a href="#" class="next"><img src="<?php echo $baseUrl; ?>/qa-theme/Staff-Checking/images/next_icon.png" /></a>
            <a href="../<?php echo $baseUrl; ?>/pages/testimonials" style="color: #777777;">
            <div class="slides_container">
                <div>
                    "I was able to avoid the risk of having staff with poor performance in my business because of StaffChecking. Just by simply typing their name before hiring them, 
                    I can identify if they had bad records." 
                    <span class="testi-author">-Vidalia, Inc.</span>
                </div>
                <div>
                    "StaffChecking warns us whether we're hiring a blacklisted employee or not. It helped us to classify the good and bad employees. "
                    <span class="testi-author">-Molave Internet Solutions</span>
                </div>
                <div>
                    "StaffChecking made us feel assured in hiring employees for our company.  It even saved us time and resources in doing a background check on our applicants. "
                    <span class="testi-author">-Purefoods</span>
                </div>
                <div>
                    "By doing a background check on our applicants at StaffChecking first, we can be assured that they can perform well based on the feedbacks coming from the companies they previously worked for."
                    <span class="testi-author">-Telus</span>
                </div>
            </div>
            </a>
        </div>
    </div>
</div> <!--#footer-testimonial -->

<div id="footer">
    <div class="container_12">
        <div style='width: 300px; float: left; margin: 0 10px;'>
            <ul class="footerlinks">
                <li><a href="../<?php echo $baseUrl; ?>/pages/terms-of-use">Terms of Use</a></li> 
                <li><a href="../<?php echo $baseUrl; ?>/pages/privacy-policy">Privacy Policy</a></li> 
                <li><a href="../<?php echo $baseUrl; ?>/pages/disclaimer">Disclaimer</a></li>
            </ul>
            
            <div class="copyright">Copyright StaffChecking © 2012</div>
            <img src="../<?php echo $baseUrl; ?>/public/layout/images/staffchecking-footer-logo.png" alt="" />
        </div>
        
        <div id="secure-logos" class="grid_5">
            <img src="../<?php echo $baseUrl; ?>/public/layout/images/secure-logo.jpg" alt="" />
        </div>
    </div>
</div>

<script type="text/javascript" src="../<?php echo $baseUrl; ?>/public/layout/js/slides.min.jquery.js"></script>
<script type="text/javascript">
    $(window).load(function() {
        $(".testimonial-slide").slides({
            play: 5000,
            generatePagination: false,
            fadeSpeed: 1000,
            slideSpeed: 10000,
            effect: 'fade',
            next: 'next',
            prev: 'prev',
        });
    });
</script>