<?php 
class Zend_Controller_Action_Helper_Contact extends Zend_Controller_Action_Helper_Abstract 
{

	public function contactForm($formDatas = array())
    {
        
        $errors = array();
        
        // name
        $validator = new Zend_Validate_StringLength(array('min' => 1));
        if (!$validator->isValid($formDatas['name'])) {
            $errors['name'] = 'Name is required.';
        }
        
        // company Name
        $validator = new Zend_Validate_StringLength(array('min' => 1));
        if (!$validator->isValid($formDatas['company_name'])) {
            $errors['company_name'] = 'Company Name is required.';
        }

        // company Address
        $validator = new Zend_Validate_StringLength(array('min' => 1));
        if (!$validator->isValid($formDatas['company_address'])) {
            $errors['company_address'] = 'Company Address is required.';
        }

        // Contact Number
        $validator = new Zend_Validate_StringLength(array('min' => 1));
        if (!$validator->isValid($formDatas['contact_no'])) {
            $errors['contact_no'] = 'Contact Number is required.';
        }

        // message
        $validator = new Zend_Validate_StringLength(array('min' => 1));
        if (!$validator->isValid($formDatas['message'])) {
            $errors['message'] = 'Message is required.';
        }   
        
        // email
        $validator = new Zend_Validate_EmailAddress();
        if (!$validator->isValid($formDatas['email'])) {     
            $errors['email'] = 'Email address is invalid';
        }
        
        return $errors;
    }
}
?>