<?php 
class Zend_Controller_Action_Helper_Generates extends Zend_Controller_Action_Helper_Abstract 
{
 
 
    /**
     * Create permalink
     */ 
    public function permalink($data)
    {
        
  		// Accept only the APLHANUMERIC characters
		$data = preg_replace("/[^a-zA-Z0-9]/si", " ", $data);

		// Remove the excess spaces
		$data = preg_replace('/\s\s+/', ' ', $data);
		
		// Replace any WHITE spaces with '-'
		return str_replace(' ', '-', strtolower(stripslashes(trim($data))));
        
        // $permalink = preg_replace('/(\W){1,}/', '-', $data); 
        // $permalink = strtolower(preg_replace('/-$/','',$permalink));
        // return $permalink;
    }
    
    
    /**
     * Create unique no
     */
    public function uniqueNo($formDatas)
    {
        // Create user unique_no
        $uniqueFirstname    = substr($formDatas['firstname'], 0, 1);  
        $uniqueLastname     = substr($formDatas['lastname'], 0, 1);
        $uniqueState        = substr($formDatas['state'], 0, 2);
        
        $uniqueNo = $uniqueFirstname . $uniqueLastname . $uniqueState . date('m', time()) . date('y', time()) . rand(0, pow(10, 7)); 
        return strtoupper($uniqueNo);
    }
    
    
    /**
     * Create video no
     */
    public function videoNo($formdatas)
    {
        $videoNo = $formdatas['merchant_id'] . '-' . rand(0, pow(10, 5));
        return $videoNo;
    }
    
}