<?php 
class Zend_Controller_Action_Helper_ValidateCompany extends Zend_Controller_Action_Helper_Abstract 
{

    /*
	public function companyname($formDatas = array())
    {
        $errors = array();
        
        // username
        $validator = new Zend_Validate_Db_RecordExists(array('table' => Zend_Registry::get('tablePrefix') . 'companies', 'field' => 'company_name'));
        if ($validator->isValid($formDatas['company_name'])) {
            $errors['company_name'] = 'Company name is already existed, please try again.';
        } 

        return $errors;
    }
    */

    public function companyname($formDatas = array())
    {
        $errors = array();

        // username
        $validator = new Zend_Validate_Db_RecordExists(array('table' => Zend_Registry::get('tablePrefix') . 'users', 'field' => 'username'));
        if ($validator->isValid($formDatas['company_email'])) {
            $errors['username'] = 'Username is existed, please try again.';
        }
       
        // password
        $validator = new Zend_Validate_StringLength(array('min' => 6));
        if ($validator->isValid($formDatas['password'])) {
            $validator = new Zend_Validate_Identical($formDatas['password']);
            if (!$validator->isValid($formDatas['re_password'])) {
                $errors['password'] = 'Password must be identical.';
            }
        } else {
            $errors['password'] = 'Password must altest 6 characters.';
        }

        // company name
        $validator = new Zend_Validate_Db_RecordExists(array('table' => Zend_Registry::get('tablePrefix') . 'companies', 'field' => 'company_name'));
        if ($validator->isValid($formDatas['company_name'])) {
            $errors['companyName'] = 'Company Name already existed, please try again.';
        }

        return $errors;
    }


}
?>