<?php 
class Zend_Controller_Action_Helper_ValidateEmail extends Zend_Controller_Action_Helper_Abstract 
{

        function email($formDatas = array()) {
                $errors = array();
                //email exists
                $validator = new Zend_Validate_Db_RecordExists(array('table' => Zend_Registry::get('tablePrefix') . 'companies', 'field' => 'company_email'));
                if ($validator->isValid($formDatas['company_email'])) {
                    $errors['company_email'] = "Username is existed, please try again.";
                }
                
                //email
                $validator = new Zend_Validate_EmailAddress();
                if (!$validator->isValid($formDatas['company_email'])) {     
                    $errors['email'] = 'Email address is invalid ';
                }

                return $errors;
        }

        function recoveryEmail($formDatas = array()) {
                $errors = array();
                //email exists
                $validator = new Zend_Validate_Db_NoRecordExists(array('table' => Zend_Registry::get('tablePrefix') . 'users', 'field' => 'username'));
                if ($validator->isValid($formDatas['email'])) {
                    $errors['username'] = "E-mail address doesn't exist, please try again.";
                }
                
                //email
                $validator = new Zend_Validate_EmailAddress();
                if (!$validator->isValid($formDatas['email'])) {     
                    $errors['email'] = 'Email address is invalid ';
                }

                return $errors;
        }

}
?>