<?php
class Application_Model_Tables_Paypaltrans extends Zend_Db_Table_Abstract
{
	
	/**
	 * Set database table name
	 */
	protected $_name = 'paypal_trans';
	
	
	/**
	 * Set table prefix
	 */ 
	public function __construct() 
	{
		// Construct the table prefix
		$this->_name = Zend_Registry::get('tablePrefix') . $this->_name;
		parent::__construct();
	}
	
	
	/**
	 * Insert data
	 */
	public function insertPaypaltrans($formDatas = array())
	{
		$datas = array(
            'user_id'       => $formDatas['user_id'],
            'txn_type'      => $formDatas['txn_type'],
            'subscr_id'     => $formDatas['subscr_id'],
            'mc_currency'   => $formDatas['mc_currency'],
            'item_name'     => $formDatas['item_name'],
            'business'      => $formDatas['business'],
            'amount3'       => $formDatas['amount3'],
    	    'period3'       => $formDatas['period3'],
    	    'mc_amount'     => $formDatas['mc_amount'],
    	    'period3'       => $formDatas['period3'],
            'recurring'     => $formDatas['recurring'],
            'verify_sign'   => $formDatas['verify_sign'],
            'payer_status'  => $formDatas['payer_status'],
            'payer_email'   => $formDatas['payer_email'],
            'receiver_email'=> $formDatas['receiver_email'],
            'payer_id'      => $formDatas['payer_id'],
            'item_number'   => $formDatas['item_number'],
            'subscr_date'   => $formDatas['subscr_date'],
    	    'date_modified' => new Zend_Db_Expr('NOW()'),
        );
		return $this->insert($datas);
	}
    
}