<?php
class Application_Model_Tables_Temps extends Zend_Db_Table_Abstract
{
	
	/**
	 * Set database table name 
	 */
	protected $_name = 'temps';
	
	
	/**
	 * Set table prefix 
	 */ 
	public function __construct() 
	{
		// Construct the table prefix	
		$this->_name = Zend_Registry::get('tablePrefix') . $this->_name;
		parent::__construct();
	}
	
	
	/**
     *
     * @param array $formDatas
     * @return mixed
     */
	public function insertTemps($formDatas = array())
	{
		$datas = array(
			'type'			=> 'user',
			'data'			=> $formDatas,
			'date_modified' => new Zend_Db_Expr('NOW()'),
        );
		return $this->insert($datas);
	}
    
    
    /**
     *
     * @param array $formDatas
     * @return int
     */
	public function updateTemps($formDatas = array())
	{
		$datas = array(
			'type'          => $formDatas['type'],
            'datas'         => $formDatas['datas'],
            'date_modified' => new Zend_Db_Expr('NOW()'),
            
        );
                         
	   return $this->update($datas, 'temp_id = ' . $formDatas['temp_id']);
	}
    
    
}