<?php
/**
 * Users model 
 * @author Zaine
 */
class Application_Model_Tables_Testimonials extends Zend_Db_Table_Abstract
{
	
	/*
	*	Set Database Table name
	*/
	protected $_name = 'testimonials';


	/**
     * Set propertiies
     */
	public function __construct()
	{
		$this->_name = Zend_Registry::get('tablePrefix') . $this->_name;
		parent::__construct();
	}


	/**
	 *  Insert Testimony
	 *  @param array $formDatas
	 */
	public function addTestimony($formDatas = array())
	{
		$now = date("Y-m-d H:i:s");
		$datas = array(
			'contact_name' => $formDatas['name'],
			'email' => $formDatas['email'],
			'company_name' => $formDatas['company_name'],
			'company_address' => $formDatas['company_address'],
			'contact_no' => $formDatas['contact_no'],
			'learned' => $formDatas['learned'],
			'message' => $formDatas['message'],
			'created' => $now,
			'modified' => $now,
			'status' => 'pending',
		);

		$this->insert($datas);
	}

}
?>