<?php 
class Zend_Controller_Action_Helper_AdminResponseEmail extends Zend_Controller_Action_Helper_Abstract 
{

    
    public function verificationAccount($formDatas, $account){
        
        $companyName = $formDatas['company_name'];
        $companyEmail = $formDatas['company_email'];
        $companyPhone = $formDatas['company_phone'];
        $fullName = $formDatas['first_name'] . ' ' . $formDatas['middle_name'] . ' ' . $formDatas['last_name'];
        
        
        if($formDatas['business_permit_status'] == 'Verified'){
            
            if($account == 'BP'){
            $msgbody ="
            <html>                                            
            <body style='width: 100%; background: #ededed; padding: 20px 0 25px 0;'>
                <div id='wrapper' style='width: 600px; margin: 0 auto; background: #fff; padding: 1px 20px 20px 20px;'>
                    <h1 style='text-decoration: none;'>Good Day $companyName!</h1><br />
                    <div>
                    <span>
                        Your Business Permit has been Unverified!<br />
                        <br />
                        <br/>
                        <a href='http://staffchecking.com/pages/login'>Click here to Login!</a>
                    </span>
                    </div>
                    <br/><br/>
                    Thank you, <br />
                    StaffChecking.com Team
                </div>
            </body>                                
            </html>
            ";
        
        $mail = new Zend_Mail();
        $mail->setReplyTo('support@staffchecking.com', 'StaffChecking Support')
            ->addHeader('MIME-Version', '1.0')
            ->addHeader('Content-Transfer-Encoding', '8bit')
            ->addHeader('X-Mailer:', 'PHP/'.phpversion())
            ->setBodyHtml($msgbody)
            ->setFrom('support@staffchecking.com', 'StaffChecking Support')
            ->addTo($companyEmail, $companyName)
            ->setSubject('StaffChecking Alert! Unverified Business Permit!')
            ->send();
        
        }elseif($account == 'LOA'){
            $msgbody ="
            <html>                                            
            <body style='width: 100%; background: #ededed; padding: 20px 0 25px 0;'>
                <div id='wrapper' style='width: 600px; margin: 0 auto; background: #fff; padding: 1px 20px 20px 20px;'>
                    <h1 style='text-decoration: none;'>Good Day $companyName!</h1><br />
                    <div>
                    <span>
                        Your Letter of Authorization has been Unverified!<br />
                        <br />
                        <br/>
                        <a href='http://staffchecking.com/pages/login'>Click here to Login!</a>
                    </span>
                    <br/><br/>
                    Thank you, <br />
                    StaffChecking.com Team
                </div>
            </body>                                
            </html>
            ";
        
        $mail = new Zend_Mail();
        $mail->setReplyTo('support@staffchecking.com', 'StaffChecking Support')
            ->addHeader('MIME-Version', '1.0')
            ->addHeader('Content-Transfer-Encoding', '8bit')
            ->addHeader('X-Mailer:', 'PHP/'.phpversion())
            ->setBodyHtml($msgbody)
            ->setFrom('support@staffchecking.com', 'StaffChecking Support')
            ->addTo($companyEmail, $companyName)
            ->setSubject('StaffChecking Alert! Unverified Letter of Authorization!')
            ->send();
        }
            
        }else{
            
            if($account == 'BP'){
                $msgbody ="
                <html>                                            
                <body style='width: 100%; background: #ededed; padding: 20px 0 25px 0;'>
                    <div id='wrapper' style='width: 600px; margin: 0 auto; background: #fff; padding: 1px 20px 20px 20px;'>
                        <h1 style='text-decoration: none;'>Good Day $companyName!</h1><br />
                        <div>
                        <span>
                            Your Business Permit has been Verified!<br />
                            <br />
                            <br/>
                            <a href='http://staffchecking.com/pages/login'>Click here to Login!</a>
                        </span>
                        </div>
                        <br/><br/>
                        Thank you, <br />
                        StaffChecking.com Team
                    </div>
                </body>                                
                </html>
                ";

            $mail = new Zend_Mail();
            $mail->setReplyTo('support@staffchecking.com', 'StaffChecking Support')
                ->addHeader('MIME-Version', '1.0')
                ->addHeader('Content-Transfer-Encoding', '8bit')
                ->addHeader('X-Mailer:', 'PHP/'.phpversion())
                ->setBodyHtml($msgbody)
                ->setFrom('support@staffchecking.com', 'StaffChecking Support')
                ->addTo($companyEmail, $companyName)
                ->setSubject('StaffChecking Alert! Verified Business Permit!')
                ->send();

            }elseif($account == 'LOA'){
                $msgbody ="
                <html>                                            
                <body style='width: 100%; background: #ededed; padding: 20px 0 25px 0;'>
                    <div id='wrapper' style='width: 600px; margin: 0 auto; background: #fff; padding: 1px 20px 20px 20px;'>
                        <h1 style='text-decoration: none;'>Good Day $companyName!</h1><br />
                        <div>
                        <span>
                            Your Letter of Authorization has been Verified!<br />
                            <br />
                            <br/>
                            <a href='http://staffchecking.com/pages/login'>Click here to Login!</a>
                        </span>
                        <br/><br/>
                        Thank you, <br />
                        StaffChecking.com Team
                    </div>
                </body>                                
                </html>
                ";

                $mail = new Zend_Mail();
                $mail->setReplyTo('support@staffchecking.com', 'StaffChecking Support')
                ->addHeader('MIME-Version', '1.0')
                ->addHeader('Content-Transfer-Encoding', '8bit')
                ->addHeader('X-Mailer:', 'PHP/'.phpversion())
                ->setBodyHtml($msgbody)
                ->setFrom('support@staffchecking.com', 'StaffChecking Support')
                ->addTo($companyEmail, $companyName)
                ->setSubject('StaffChecking Alert! Verified Letter of Authorization!')
                ->send();
            }
            
        }
        
        
        
    }
    
    
    public function approvedMail($results){
        
        $html = new Zend_View();
        $html->setScriptPath(APPLICATION_PATH . '/modules/admin/views/scripts/email-template/');
        
        
        $html->assign(array('companyName' => $results['company_name'], 
                            'username' => $results['company_email'],
                            'password' => $results['password_human'],
                     ));
        
        $msgbody = $html->render('approved.phtml');

        //send email notification
        $mail = new Zend_Mail();
        $mail->setReplyTo('support@staffchecking.com', 'Account Activation')
            ->addHeader('MIME-Version', '1.0')
            ->addHeader('Content-Transfer-Encoding', '8bit')
            ->addHeader('X-Mailer:', 'PHP/'.phpversion())
            ->setBodyHtml($msgbody)
            ->setFrom('support@staffchecking.com', 'StaffChecking.com')
            ->addTo($results['company_email'], $results['company_name'])
            ->setSubject('StaffChecking Activation Account')
            ->send();
    }
    
    public function disapprovedMail($results){
        
        $html = new Zend_View();
        $html->setScriptPath(APPLICATION_PATH . '/modules/admin/views/scripts/email-template/');
        
        $html->assign(array('companyName' => $results['company_name']));
        
        $msgbody = $html->render('disapproved.phtml');

        //send email notification
        $mail = new Zend_Mail();
        $mail->setReplyTo('support@staffchecking.com', 'Disapproved Account')
            ->addHeader('MIME-Version', '1.0')
            ->addHeader('Content-Transfer-Encoding', '8bit')
            ->addHeader('X-Mailer:', 'PHP/'.phpversion())
            ->setBodyHtml($msgbody)
            ->setFrom('support@staffchecking.com', 'StaffChecking.com')
            ->addTo($results['company_email'], $results['company_name'])
            ->setSubject('StaffChecking Disapproved Account')
            ->send();
    }

}
?>