<?php
/**
 * Footer Template
 *
 * Here we setup all logic and XHTML that is required for the footer section of all screens.
 *
 * @package WooFramework
 * @subpackage Template
 */
 
 global $woo_options;

 woo_footer_top();
 	woo_footer_before();
?>
</div>


<div id="footer-testimonial-area" >
    <div id="slider-testimonial" class="container_12" style='width: 960px; margin: 0 auto;'>
        <div class="testimonial-slide">
            <a href="#" class="prev"><img src="<?php echo bloginfo('template_url') . '/images/previous_icon.png'; ?>" /></a>
            <a href="#" class="next"><img src="<?php echo bloginfo('template_url') . '/images/next_icon.png'; ?>" /></a>
            <a href="<?php echo get_bloginfo('url'); ?>/../pages/testimonials" style="color: #777777;">
            <div class="slides_container">
                <div>
                    "Thanks to Staff Checking, we have the means to verify employment details provided by our applicants. We immediately know if the information found on the resumes are true and correct." 
                    <span class="testi-author">-Vidalia Lending Corp.</span>
                </div>
                <div>
                    "What's great about StaffChecking is that it grants companies like us the rare opportunity to easily screen successful candidates prior to hiring free of charge.  We couldn't be more grateful for the help."
                    <span class="testi-author">-Molave Internet Solutions</span>
                </div>
                <div>
                    "Staff Checking saves us a lot of time and money in background checks. All the information is already in the database. All we have to do is search the names of the employees."
                    <span class="testi-author">-Company Confidential</span>
                </div>
                <div>
                    "We no longer need to worry about bringing the wrong people into our organization. Staff Checking ensures that we hire only the right people."
                    <span class="testi-author">-Anonymous Company</span>
                </div>
            </div>
            </a>
        </div>
    </div>
</div> <!--#footer-testimonial -->

<div id="footer">
    <div class="container_12" style='width: 960px; margin: 0 auto; display: block;'>
        <div style='width: 300px; float: left; display: inline; margin: 10px 0;'>
            <ul class="footerlinks">
                <li><a href="<?php echo get_bloginfo('url'); ?>/../pages/terms-of-use">Terms of Use</a></li> 
                <li><a href="<?php echo get_bloginfo('url'); ?>/../pages/privacy-policy">Privacy Policy</a></li> 
                <li><a href="<?php echo get_bloginfo('url'); ?>/../pages/disclaimer">Disclaimer</a></li>
            </ul>
            
            <div class="copyright">Copyright StaffChecking.com © 2012</div>
            <img src="<?php echo bloginfo('template_url') . '/images/staffchecking-footer-logo.png'; ?>" alt="footer-logo" />
        </div>
        
        <div id="secure-logos" class="grid_5">
            <img src="<?php echo bloginfo('template_url') . '/images/secure-logo.jpg'; ?>" alt="secure" />
        </div>
    </div>
</div>

<link href="<?php echo bloginfo('template_url'); ?>/js/css/style.css" rel="stylesheet" type="text/css"/>
<link href="<?php echo bloginfo('template_url'); ?>/js/css/nivo-slider.css" rel="stylesheet" type="text/css"/>
<link href='http://fonts.googleapis.com/css?family=Bree+Serif' rel='stylesheet' type='text/css'>
<link href="<?php echo bloginfo('template_url'); ?>/js/css/print.css" rel="stylesheet" type="text/css" media="print" />
<link rel="stylesheet" href="<?php echo bloginfo('template_url'); ?>/js/fancybox/source/jquery.fancybox.css" type="text/css" media="screen" />

<script type="text/javascript">
    function clearText(field){

    if (field.defaultValue == field.value) field.value = '';
    else if (field.value == '') field.value = field.defaultValue;

    }
</script>

<script type="text/javascript">
    jQuery(document).ready(function(){
        jQuery('#slider').nivoSlider({
            pauseTime: 6000,
            controlNav: false,
            directionNavHide: false,
            directionNav: false,
            startSlide: 0,
            afterLoad: function(){ $("img#slider-default").hide(); }, 
        });

        jQuery(".testimonial-slide").slides({
            play: 5000,
            generatePagination: false,
            fadeSpeed: 1000,
            slideSpeed: 10000,
            effect: 'fade',
            next: 'next',
            prev: 'prev',
        });
    });
</script>
	<!-- <div id="footer" class="col-full">
	
		<?php woo_footer_inside(); ?>    
	    
		<div id="copyright" class="col-left">
			<?php woo_footer_left(); ?>
		</div>
		
		<div id="credit" class="col-right">
			<?php woo_footer_right(); ?>
		</div>
		
	</div> --><!-- /#footer  -->
	
	<?php woo_footer_after(); ?>    
	
	</div><!-- /#wrapper -->
	
	<div class="fix"></div><!--/.fix-->
	
	<?php wp_footer(); ?>
	<?php woo_foot(); ?>
	</body>
</html>