<?php
session_start();

    if(isset($_POST['submit-btn'])){
  
        if(filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)){
        $email = $_POST['email'];
        }else{
            $email = NULL;
        }
    
        $name = $_POST['name'];
        $message = $_POST['message'];
    
            if($_SESSION['security_number'] == $_POST['secure']){
                
                $to = "media@staffchecking.com";
                $from = $email;
                $subject = "Contact Us - Facebook"; 

                $headers  = "From: $from\r\n";
                $headers .= "Content-type: text/html\r\n";
                
                $body="
                <div>
                    <table>
                        <tr>
                            <td>
                                Name:
                            </td>
                            <td>
                                 {$name}
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Email:
                            </td>
                            <td>
                                {$email}
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Message:
                            </td>
                            <td>
                                {$message}
                            </td>
                        </tr>
                    </table>
                </div>";
                
                $message = $body;
                
                //options to send to cc+bcc
                $headers .= "Cc: {$email}";
                //$headers .= "Bcc: [email]email@maaking.cXom[/email]";

                // now lets send the email.
                mail($to, $subject, $message, $headers);
                
                $success = uniqid();
                
                unset($name);
                unset($email);
                unset($message);
                
            }else{
                
                if($_SESSION['security_number'] != $_POST['secure']){
                    $flashMessenger = 'Invalid Captcha.';
                }
            }
    }
    
    if(isset($success)){
        $flashMessenger = 'Form has been successfully submitted.';
    }
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Contact Us Facebook</title>
<link rel="stylesheet" type="text/css" href="css/fb-styles.css" media="screen" />

<script type="text/javascript">
function reloadCaptcha()
{
    document.getElementById('captcha').src = document.getElementById('captcha').src+ '?' +new Date();
}
</script>

<script src="js/validation/jquery.min.js" type="text/javascript"></script>
<script src="js/validation/validation.js" type="text/javascript"></script>
<script src="js/validation/jquery.validate.min.js" type="text/javascript"></script>
<link href="js/validation/FormValidation.css" rel="stylesheet">

</head>

<body>
	<div id="contact-wrapper">
        <div id="contact-cont">
        	<h1 id="contact-head" >Support</h1>
            <p>For questions, concerns or comments about our site, fill out this form with complete details. StaffChecking will respond immediately. </p>
        <?php if(isset($flashMessenger)): ?>
            <div class="notice-failed">
                <div class="notice-failed-icon"><?php  echo $flashMessenger; ?></div>
            </div>
        <?php  endif; ?>
        <form id="form_body" method="POST" action="">
        <div id="contact-form">                
            <div id="form-l">
                <ul>
                    <li>Name:</li>
                    <li>Email:</li>
                    <li>Message:</li>
                    <br/><br/><br/><br/><br/>
                    <li>Security:</li>
                </ul>
            </div><!-- form-r -->
            <div id="form-r">
                <input id="form_textbox" type="text" value="<?php if(isset($name)) echo $_POST['name']; ?>" name="name" /> 
                <input id="form_textbox2" type="text" value="<?php if(isset($email)) echo $_POST['email']; ?>" name="email" />
                <textarea name="message"><?php if(isset($message)) echo $_POST['message']; ?></textarea>
                <br/>
                <input type="text" onclick="this.value=''" value="what's the result?" name="secure" style="width:140px; text-align:center;" />
                <br>
                <img src="js/captcha/image.php" id="captcha" onclick="javascript:reloadCaptcha()" title="Click to reload image" alt="Click to reload image"/>
                <p>Click on the image to reload the captcha</p>
                <button name="submit-btn" value="" type="reset">
                    <img src="images/reset-btn.png" alt="reset button" />
                </button>
                <button name="submit-btn" value="1" type="submit">
                    <img src="images/submit-btn.png" alt="submit button" />
                </button>
                    
            </div><!-- form-r -->
        </div><!-- contact-form -->
        </form>
        
    </div><!-- contact-cont -->
</body>
</html>
